SSSD(8)

NAME
sssd - System Security Services Daemon

SYNOPSIS

sssd [options]

DESCRIPTION

SSSD provides a set of daemons to manage access to remote directories and authentication mechanisms. It provides an NSS and PAM interface toward the system and a pluggable backend system to connect to multiple different account sources as well as D-Bus interface. It is also the basis to provide client auditing and policy services for projects like FreeIPA. It provides a more robust database to store local users as well as extended user data.

OPTIONS

-d,--debug-level LEVEL
    Debug level to run the daemon with. 0 is the default as well as the lowest allowed value, 10 is the most verbose mode. This setting overrides the settings from config file. This parameter implies -i.

debug_timestamps (bool)
    Add a timestamp to the debug messages

    Default: false

-f,--debug-to-files
    Send the debug output to files instead of stderr. By default, the log files are stored in /var/log/sssd and there are separate log files for every SSSD service and domain.

-D,--daemon
    Become a daemon after starting up.

-i,--interactive
    Run in the foreground, don't become a daemon.

-c,--config
    Specify a non-default config file. The default is /usr/local/etc/sssd/sssd.conf. For reference on the config file syntax and options, consult the sssd.conf(5) manual page.

-h,--help
    Display help message and exit.

SIGNALS

SIGTERM/SIGINT
    Informs the SSSD to gracefully terminate all of its child processes and then shut down the monitor.

SIGHUP
    Tells the SSSD to stop writing to its current debug file descriptors and to close and reopen them. This is meant to facilitate log rolling with programs like logrotate.

SIGUSR1
    Tells the SSSD to simulate offline operation for one minute. This is mostly useful for testing purposes.

SIGUSR2
    Tells the SSSD to go online immediately. This is mostly useful for testing purposes.

SEE ALSO

sssd.conf(5), sss_groupadd(8), sss_groupdel(8), sss_groupmod(8), sss_useradd(8), sss_userdel(8), sss_usermod(8).

AUTHORS

The SSSD upstream - http://fedorahosted.org/sssd